from core.database import Base
from datetime import datetime
from sqlalchemy import Boolean, Column, DateTime, Integer, String


class Service_testimonials(Base):
    __tablename__ = "service_testimonials"
    __table_args__ = {"extend_existing": True}

    id = Column(Integer, primary_key=True, index=True, autoincrement=True, nullable=False)
    name = Column(String, nullable=False)
    company = Column(String, nullable=False)
    role = Column(String, nullable=True)
    quote = Column(String, nullable=False)
    rating = Column(Integer, nullable=False)
    avatar_url = Column(String, nullable=True)
    display_order = Column(Integer, nullable=True)
    is_active = Column(Boolean, nullable=True)
    created_at = Column(DateTime(timezone=True), default=datetime.now)
    updated_at = Column(DateTime(timezone=True), default=datetime.now, onupdate=datetime.now)